LOWDOWN_FILE_DIFF(3)

NAME
lowdown_file_diff - parse and diff Markdown files into formatted output

LIBRARY
liblowdown

SYNOPSIS
#include <sys/queue.h>
#include <stdio.h>
#include <lowdown.h>
int
lowdown_file_diff(const struct lowdown_opts *opts, FILE *fnew, FILE *fold, char **ret, size_t *retsz, struct lowdown_metaq *metaq);

DESCRIPTION
Parses lowdown(5) file streams fnew and fold and produces an edit script in ret of size retsz according to configurations opts. The output format is specified by opts->type. If LOWDOWN_METADATA is set in opts->feat and metaq is not NULL, metaq is filled with metadata rendered in the given output format.

On success, the caller is responsible for freeing ret and metaq.

RETURN VALUES
Returns zero on failure, non-zero on success. Failure occurs when the file read failed or on memory exhaustion. On failure, the contents of ret and retsz are undefined.

SEE ALSO
lowdown(3), lowdown_metaq_free(3)